# This is the main configuration file for Spigot.
# As you can see, there's tons to configure. Some options may impact gameplay, so use
# with caution, and make sure you know what each option does before configuring.
# For a reference for any variable inside this file, check out the Spigot wiki at
# http://www.spigotmc.org/wiki/spigot-configuration/
# 
# If you need help with the configuration or have any questions related to Spigot,
# join us at the IRC or drop by our forums and leave a post.
# 
# IRC: #spigot @ irc.spi.gt ( http://www.spigotmc.org/pages/irc/ )
# Forums: http://www.spigotmc.org/

config-version: 12
settings:
  debug: false
  save-user-cache-on-stop-only: true
  sample-count: 12
  netty-threads: 4
  player-shuffle: 0
  user-cache-size: 1000
  timeout-time: 60
  restart-on-crash: true
  restart-script: ./start.sh
  bungeecord: false
  moved-too-quickly-multiplier: 10.0
  log-villager-deaths: true
  moved-wrongly-threshold: 0.0625
  attribute:
    maxHealth:
      max: 2048.0
    movementSpeed:
      max: 2048.0
    attackDamage:
      max: 2048.0
messages:
  whitelist: You are not whitelisted on this server!
  unknown-command: Unknown command. Type "/help" for help.
  server-full: The server is full!
  outdated-client: Outdated client! Please use {0}
  outdated-server: Outdated server! I'm still on {0}
  restart: Server is restarting
commands:
  log: true
  spam-exclusions:
  - /skill
  tab-complete: 0
  send-namespaced: true
  replace-commands:
  - setblock
  - summon
  - testforblock
  - tellraw
  silent-commandblock-console: false
stats:
  disable-saving: false
  forced-stats: {}
advancements:
  disable-saving: false
  disabled:
  - minecraft:story/disabled
world-settings:
  worldeditregentempworld:
    verbose: false
  default:
    seed-endcity: 10387313
    seed-bastion: 30084232
    seed-fortress: 30084232
    seed-mansion: 10387319
    seed-fossil: 14357921
    seed-portal: 34222645
    end-portal-sound-radius: 0
    verbose: true
    view-distance: default
    hanging-tick-frequency: 100
    zombie-aggressive-towards-villager: true
    arrow-despawn-rate: 300
    trident-despawn-rate: 1200
    item-despawn-rate: 6000
    enable-zombie-pigmen-portal-spawns: true
    wither-spawn-sound-radius: 0
    dragon-death-sound-radius: 0
    seed-village: 10387312
    seed-desert: 14357617
    seed-igloo: 14357618
    seed-jungle: 14357619
    seed-swamp: 14357620
    seed-monument: 10387313
    seed-shipwreck: 165745295
    seed-ocean: 14357621
    seed-outpost: 165745296
    seed-slime: 987234911
    hopper-amount: 1
    max-tnt-per-tick: 100
    nerf-spawner-mobs: false
    mob-spawn-range: 8
    max-entity-collisions: 2
    merge-radius:
      item: 4.0
      exp: 6.0
    ticks-per:
      hopper-transfer: 8
      hopper-check: 1
    entity-activation-range:
      animals: 32
      monsters: 64
      raiders: 48
      misc: 32
      water: 16
      tick-inactive-villagers: true
    hunger:
      jump-walk-exhaustion: 0.05
      jump-sprint-exhaustion: 0.2
      combat-exhaustion: 0.1
      regen-exhaustion: 6.0
      swim-multiplier: 0.01
      sprint-multiplier: 0.1
      other-multiplier: 0.0
    max-tick-time:
      tile: 1000
      entity: 1000
    squid-spawn-range:
      min: 45.0
    growth:
      cactus-modifier: 100
      cane-modifier: 100
      melon-modifier: 100
      mushroom-modifier: 100
      pumpkin-modifier: 100
      sapling-modifier: 100
      beetroot-modifier: 100
      carrot-modifier: 100
      potato-modifier: 100
      wheat-modifier: 100
      netherwart-modifier: 100
      vine-modifier: 100
      cocoa-modifier: 100
      bamboo-modifier: 100
      sweetberry-modifier: 100
      kelp-modifier: 100
    entity-tracking-range:
      players: 144
      animals: 48
      monsters: 64
      misc: 32
      other: 64
players:
  disable-saving: false
